Open CASCADE Technology: Extrema_ExtPElC2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_ExtPElC2d Class Reference

It calculates all the distances between a point and an elementary curve. These distances can be minimum or maximum. More...

`#include <Extrema_ExtPElC2d.hxx>`

## Public Member Functions
| Extrema_ExtPElC2d ()
| Extrema_ExtPElC2d (const gp_Pnt2d &P, const gp_Lin2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Calculates the extremum distance between the point P and the segment [Uinf,Usup] of the line L. More...
void | Perform (const gp_Pnt2d &P, const gp_Lin2d &L, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Extrema_ExtPElC2d (const gp_Pnt2d &P, const gp_Circ2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Calculates the 2 extremum distances between the point P and the segment [Uinf,Usup] of the circle C. Tol is used to determine if P is on the axis of the circle or if an extremum is on an endpoint of the segment. If P is on the axis of the circle, there are infinite solution then IsDone(me)=False. The conditions on the Uinf and Usup are: 0. <= Uinf <= 2.*PI and Usup > Uinf. If Usup > Uinf + 2.*PI, then only the solutions in the range [Uinf,Uinf+2.*PI[ are computed. More...
void | Perform (const gp_Pnt2d &P, const gp_Circ2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Extrema_ExtPElC2d (const gp_Pnt2d &P, const gp_Elips2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Calculates the 4 extremum distances between the point P and the segment [Uinf,Usup] of the elipse C. Tol is used to determine if the point is on the axis of the elipse and if the major radius is equal to the minor radius or if an extremum is on an endpoint of the segment. If P is on the axis of the elipse, there are infinite solution then IsDone(me)=False. The conditions on the Uinf and Usup are: 0. <= Uinf <= 2.*PI and Usup > Uinf. If Usup > Uinf + 2.*PI, then only the solutions in the range [Uinf,Uinf+2.*PI[ are computed. More...
void | Perform (const gp_Pnt2d &P, const gp_Elips2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Extrema_ExtPElC2d (const gp_Pnt2d &P, const gp_Hypr2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Calculates the extremum distances between the point P and the segment [Uinf,Usup] of the hyperbola C. Tol is used to determine if two solutions u and v are identical; the condition is: dist(C(u),C(v)) < Tol. More...
void | Perform (const gp_Pnt2d &P, const gp_Hypr2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Extrema_ExtPElC2d (const gp_Pnt2d &P, const gp_Parab2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
| Calculates the 4 extremum distances between the point P and the segment [Uinf,Usup] of the parabola C. Tol is used to determine if two solutions u and v are identical; the condition is: dist(C(u),C(v)) < Tol. More...
void | Perform (const gp_Pnt2d &P, const gp_Parab2d &C, const Standard_Real Tol, const Standard_Real Uinf, const Standard_Real Usup)
Standard_Boolean | IsDone () const
| True if the distances are found. More...
Standard_Integer | NbExt () const
| Returns the number of extremum distances. More...
Standard_Real | SquareDistance (const Standard_Integer N) const
| Returns the value of the Nth extremum square distance. More...
Standard_Boolean | IsMin (const Standard_Integer N) const
| Returns True if the Nth extremum distance is a minimum. More...
const Extrema_POnCurv2d & | Point (const Standard_Integer N) const
| Returns the point of the Nth extremum distance. More...

## Detailed Description

It calculates all the distances between a point and an elementary curve. These distances can be minimum or maximum.

## Constructor & Destructor Documentation

Extrema_ExtPElC2d::Extrema_ExtPElC2d | ( |  | ) |

Extrema_ExtPElC2d::Extrema_ExtPElC2d | ( | const gp_Pnt2d & | P,
|  | const gp_Lin2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

Calculates the extremum distance between the point P and the segment [Uinf,Usup] of the line L.

Extrema_ExtPElC2d::Extrema_ExtPElC2d | ( | const gp_Pnt2d & | P,
|  | const gp_Circ2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

Calculates the 2 extremum distances between the point P and the segment [Uinf,Usup] of the circle C. Tol is used to determine if P is on the axis of the circle or if an extremum is on an endpoint of the segment. If P is on the axis of the circle, there are infinite solution then IsDone(me)=False. The conditions on the Uinf and Usup are: 0. <= Uinf <= 2.*PI and Usup > Uinf. If Usup > Uinf + 2.*PI, then only the solutions in the range [Uinf,Uinf+2.*PI[ are computed.

Extrema_ExtPElC2d::Extrema_ExtPElC2d | ( | const gp_Pnt2d & | P,
|  | const gp_Elips2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

Calculates the 4 extremum distances between the point P and the segment [Uinf,Usup] of the elipse C. Tol is used to determine if the point is on the axis of the elipse and if the major radius is equal to the minor radius or if an extremum is on an endpoint of the segment. If P is on the axis of the elipse, there are infinite solution then IsDone(me)=False. The conditions on the Uinf and Usup are: 0. <= Uinf <= 2.*PI and Usup > Uinf. If Usup > Uinf + 2.*PI, then only the solutions in the range [Uinf,Uinf+2.*PI[ are computed.

Extrema_ExtPElC2d::Extrema_ExtPElC2d | ( | const gp_Pnt2d & | P,
|  | const gp_Hypr2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

Calculates the extremum distances between the point P and the segment [Uinf,Usup] of the hyperbola C. Tol is used to determine if two solutions u and v are identical; the condition is: dist(C(u),C(v)) < Tol.

Extrema_ExtPElC2d::Extrema_ExtPElC2d | ( | const gp_Pnt2d & | P,
|  | const gp_Parab2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

Calculates the 4 extremum distances between the point P and the segment [Uinf,Usup] of the parabola C. Tol is used to determine if two solutions u and v are identical; the condition is: dist(C(u),C(v)) < Tol.

## Member Function Documentation

Standard_Boolean Extrema_ExtPElC2d::IsDone | ( |  | ) | const

True if the distances are found.

Standard_Boolean Extrema_ExtPElC2d::IsMin | ( | const Standard_Integer | N | ) | const

Returns True if the Nth extremum distance is a minimum.

Standard_Integer Extrema_ExtPElC2d::NbExt | ( |  | ) | const

Returns the number of extremum distances.

void Extrema_ExtPElC2d::Perform | ( | const gp_Pnt2d & | P,
|  | const gp_Lin2d & | L,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

void Extrema_ExtPElC2d::Perform | ( | const gp_Pnt2d & | P,
|  | const gp_Circ2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

void Extrema_ExtPElC2d::Perform | ( | const gp_Pnt2d & | P,
|  | const gp_Elips2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

void Extrema_ExtPElC2d::Perform | ( | const gp_Pnt2d & | P,
|  | const gp_Hypr2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

void Extrema_ExtPElC2d::Perform | ( | const gp_Pnt2d & | P,
|  | const gp_Parab2d & | C,
|  | const Standard_Real | Tol,
|  | const Standard_Real | Uinf,
|  | const Standard_Real | Usup
| ) |  |

const Extrema_POnCurv2d& Extrema_ExtPElC2d::Point | ( | const Standard_Integer | N | ) | const

Returns the point of the Nth extremum distance.

Standard_Real Extrema_ExtPElC2d::SquareDistance | ( | const Standard_Integer | N | ) | const

Returns the value of the Nth extremum square distance.

The documentation for this class was generated from the following file:

- Extrema_ExtPElC2d.hxx